Bug 191564 - Yum does not install kernel source rpm
Yum does not install kernel source rpm
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-12 18:39 EDT by Kam Leo
Modified: 2014-01-21 17:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-12 18:47:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kam Leo 2006-05-12 18:39:23 EDT
Description of problem:

Tried to install kernel source using yum as follows:

# yum --enablerepo=updates-source install kernel-$(uname -r).src
Loading "installonlyn" plugin
Loading "fastestmirror" plugin
Setting up Install Process
Setting up repositories
updates-source                                                       [1/8]
mirror-updates                                                       [2/8]
livna                                                                [3/8]
macromedia                                                           [4/8]
core                                                                 [5/8]
updates                                                              [6/8]
freshrpms                                                            [7/8]
extras                                                               [8/8]
Loading mirror speeds from cached hostfile
Reading repository metadata in from local files
Parsing package install arguments
No Match for argument: kernel-2.6.16-1.2111_FC5.src
Nothing to do


Version-Release number of selected component (if applicable):

yum-2.6.1-0.fc5

How reproducible:

Always

Steps to Reproduce:
1. Verify repo data:

# cat /etc/yum.repos.d/fedora-updates.repo
[updates]
name=Fedora Core $releasever - $basearch - Updates
#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/updates/$releasever/$basearch/
mirrorlist=http://fedora.redhat.com/download/mirrors/updates-released-fc$releasever
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora

[updates-debuginfo]
name=Fedora Core $releasever - $basearch - Updates - Debug
baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/updates/$releasever/$basearch/debug/
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora

[updates-source]
name=Fedora Core $releasever - Updates Source
baseurl=http://download.fedora.redhat.com/pub/fedora/linux/core/updates/$releasever/SRPMS/
enabled=0
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora


2. Verify location of kernel source package:

http://download.fedora.redhat.com/pub/fedora/linux/core/updates/5/SRPMS/kernel-2.6.16-1.2111_FC5.src.rpm

3. Install kernel source rpm using yum:

# yum --enablerepo=updates-source install kernel-$(uname -r).src

  
Actual results:

# yum --enablerepo=updates-source install kernel-$(uname -r).src
Loading "installonlyn" plugin
Loading "fastestmirror" plugin
Setting up Install Process
Setting up repositories
updates-source                                                       [1/8]
mirror-updates                                                       [2/8]
livna                                                                [3/8]
macromedia                                                           [4/8]
core                                                                 [5/8]
updates                                                              [6/8]
freshrpms                                                            [7/8]
extras                                                               [8/8]
Loading mirror speeds from cached hostfile
Reading repository metadata in from local files
Parsing package install arguments
No Match for argument: kernel-2.6.16-1.2111_FC5.src
Nothing to do

Expected results:

Yum locates and installs kernel source rpm.

Additional info:
Comment 1 Rahul Sundaram 2006-05-12 18:47:41 EDT
Yum doesnt provide a feature to download source rpms. You can use yumdownloader
which is available as part of yum-utils in  Fedora Extras. Refer to the release
notes in
http://fedora.redhat.com/docs/release-notes/fc5/release-notes-ISO/#id3126937 for
more information. 
Comment 2 Kam Leo 2006-05-13 19:40:03 EDT
There is nothing in the man page that states that yum cannot install source
RPM(s). Is this not a limitation imposed by Fedora Core? Why add the trappings
for source repositories if yum is not able to install source packages?  Adding
the source repositories but having yum disregard those repositories is totally
illogical and indicative of disjointed thinking. If you want to extend yum using
a add-in such as yumdownloader and provide for the retrieval of any rpm file
then create a new directory for source repositories, e.g. /etc/source.repos.d/.
 Do not add to yum configuration files features that yum alone cannot perform. 
Comment 3 Rahul Sundaram 2006-05-14 13:22:25 EDT
Man pages describe features implemented and not otherwise. There is no
limitation imposed by Fedora Core in Yum. 

The source repositories are provided in FC5 but disabled by default. It is a
onvenience for developers. If you are going to enable the source repositories
you might as well as learn to use the appropriate utility for the job. 

Note You need to log in before you can comment on or make changes to this bug.